#ifndef __TEMPLATE_DATABASE_INCLUDED__
#define __TEMPLATE_DATABASE_INCLUDED__

struct ptrptr{
	void *ptr;
};

struct longrange {
	u_int32_t	min;
	u_int32_t	max;
};

struct shortrange {
	u_int16_t	min;
	u_int16_t	max;
};

#ifndef __PLUGIN__
int template_longrange(char *, void **);
int template_shortrange(char *, void **);

void template_ptr(void *);
void template_ptrptr(struct ptrptr *);
#else
typedef int(*proc_template)(char *, void **);
#endif

#endif /* __TEMPLATE_DATABASE_INCLUDED__ */
