/*
* This file is part of Firestorm NIDS
* Copyright (c) 2002 Gianni Tedesco
*
* 	This module handles the alerting subsystem. Although
* 	at the moment it passes all alerts straight on to the
* 	underlying target plugin - it will eventually support
* 	priority queuing so that non-critical alerts can be
* 	deferred.
*/
#include <packet.h>
#include <target.h>
#include <alert.h>

void alert(struct packet *p, struct alert *a)
{
	a->target->target(p, a->alert, a->t_priv);
}
